Cancel an appointment.
curl --request POST \
--url https://api.leadping.ai/appointments/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 123
}
'import requests
url = "https://api.leadping.ai/appointments/{id}/cancel"
payload = { "expectedRevision": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/appointments/{id}/cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"expectedRevision\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/appointments/{id}/cancel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 123\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedRevision: 123})
};
fetch('https://api.leadping.ai/appointments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/appointments/{id}/cancel"
payload := strings.NewReader("{\n \"expectedRevision\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/appointments/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"isDemo": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"history": [
{
"revision": 123,
"type": "<string>",
"at": "2023-11-07T05:31:56Z",
"actorId": "<string>",
"actorName": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"reminderAt": "2023-11-07T05:31:56Z",
"assignedToName": "<string>",
"title": "<string>",
"notes": "<string>"
}
],
"id": "<string>",
"leadId": "<string>",
"leadFirstName": "<string>",
"leadLastName": "<string>",
"leadEmail": "jsmith@example.com",
"leadAvatarUrl": "<string>",
"leadName": "<string>",
"organizationId": "<string>",
"organizationName": "<string>",
"assignedToUserId": "<string>",
"assignedToName": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"timeZoneId": "<string>",
"title": "<string>",
"notes": "<string>",
"status": "<string>",
"revision": 123,
"reminderAt": "2023-11-07T05:31:56Z",
"dismissedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Appointments
Cancel an appointment.
Cancels an appointment and invalidates unsent reminders using the expected revision.
POST
/
appointments
/
{id}
/
cancel
Cancel an appointment.
curl --request POST \
--url https://api.leadping.ai/appointments/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expectedRevision": 123
}
'import requests
url = "https://api.leadping.ai/appointments/{id}/cancel"
payload = { "expectedRevision": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/appointments/{id}/cancel");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"expectedRevision\": 123\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.post("https://api.leadping.ai/appointments/{id}/cancel")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedRevision\": 123\n}")
.asString();const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expectedRevision: 123})
};
fetch('https://api.leadping.ai/appointments/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/appointments/{id}/cancel"
payload := strings.NewReader("{\n \"expectedRevision\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/appointments/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedRevision' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"isDemo": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"history": [
{
"revision": 123,
"type": "<string>",
"at": "2023-11-07T05:31:56Z",
"actorId": "<string>",
"actorName": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"reminderAt": "2023-11-07T05:31:56Z",
"assignedToName": "<string>",
"title": "<string>",
"notes": "<string>"
}
],
"id": "<string>",
"leadId": "<string>",
"leadFirstName": "<string>",
"leadLastName": "<string>",
"leadEmail": "jsmith@example.com",
"leadAvatarUrl": "<string>",
"leadName": "<string>",
"organizationId": "<string>",
"organizationName": "<string>",
"assignedToUserId": "<string>",
"assignedToName": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"timeZoneId": "<string>",
"title": "<string>",
"notes": "<string>",
"status": "<string>",
"revision": 123,
"reminderAt": "2023-11-07T05:31:56Z",
"dismissedAt": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Conflict",
"status": 409,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Authorizations
Body
application/jsontext/jsonapplication/*+json
The expected appointment revision.
Response
The request completed successfully.
An appointment visible to the current user, with history populated on detail requests.

